CVE-2005-1015
CVSS10.0
发布时间 :2005-05-02 00:00:00
修订时间 :2008-09-05 16:47:57
NMCOS    

[原文]Buffer overflow in MailEnable Imapd (MEIMAP.exe) allows remote attackers to execute arbitrary code via a long LOGIN command.


[CNNVD]MailEnable IMAP登录请求缓冲区溢出漏洞(CNNVD-200505-666)

        MailEnable Imapd (MEIMAP.exe)存在缓冲区溢出,远程攻击者可以通过一个长LOGIN命令来执行任意代码。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1015
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1015
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-666
(官方数据源) CNNVD

- 其它链接及资源

http://lists.grok.org.uk/pipermail/full-disclosure/2005-April/033144.html
(VENDOR_ADVISORY)  FULLDISC  20050406 Re: MailEnable Imapd remote BoF + Exploit [x0n3-h4ck]

- 漏洞信息

MailEnable IMAP登录请求缓冲区溢出漏洞
危急 缓冲区溢出
2005-05-02 00:00:00 2007-07-24 00:00:00
远程  
        MailEnable Imapd (MEIMAP.exe)存在缓冲区溢出,远程攻击者可以通过一个长LOGIN命令来执行任意代码。

- 公告与补丁

        暂无数据

- 漏洞信息

15308
MailEnable IMAP LOGIN Command Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public, Exploit Commercial

- 漏洞描述

A remote overflow exists in MailEnable Professional and Enterprise Edition. The 'MEIMAPS.EXE' service fails to perform proper bounds checking resulting in a buffer overflow. With a specially crafted request containing an overly long string to the 'LOGIN' command, a remote attacker can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2005-04-06 Unknow
2005-04-06 Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, MailEnable has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

- 漏洞信息

MailEnable IMAP Login Request Buffer Overflow Vulnerability
Boundary Condition Error 13040
Yes No
2005-04-06 12:00:00 2009-07-12 11:57:00
Discovery is credited to H D Moore <fdlist@digitaloffense.net>.

- 受影响的程序版本

MailEnable MailEnable Professional 1.54
MailEnable MailEnable Professional 1.53
MailEnable MailEnable Professional 1.52
MailEnable MailEnable Professional 1.51
MailEnable MailEnable Professional 1.5
MailEnable MailEnable Enterprise Edition 1.0 4
MailEnable MailEnable Enterprise Edition 1.0 3
MailEnable MailEnable Enterprise Edition 1.0 2
MailEnable MailEnable Enterprise Edition 1.0 1
MailEnable MailEnable Enterprise Edition 1.0

- 漏洞讨论

MailEnable is prone to a remotely exploitable, stack-based buffer overflow vulnerability. This vulnerability is exposed in the server's IMAP implementation. The issue may be triggered with a malicious 'A001 LOGIN' request to the IMAP service.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站